.todo{
    min-height: 100vh;
    background-color: #696969;
    padding-bottom: 50px;
    &__wrapper{
        width: 1000px;
        margin: 0 auto;
        display: flex;
        justify-content: space-between;
    }
    &__categories{
        &-title{
            font-size: 35px;
        }
    }
    &__title{
        margin-bottom: 55px;
        font-size: calc(7vw + 2rem);
        font-weight: 700;
        text-align: center;
        color: rgba(0, 0, 0, 0.1);
        letter-spacing: 2px;
    }
    &__right{
        width: 65%;
    }
    &__left{
        width: 35%;
    }
    &__catalog{
        background-color: #ddd;
        margin-right: 100px;
        border-radius: 9px;
    }
    &__header{
        background-color: #aaa;
        display: flex;
        justify-content: space-between;
        &-title{
            
            padding: 10px 40px;
        }
        &-task-count{
            padding: 10px 40px;
        }
    }
    &__body{
        padding: 10px 40px;
    }
    &__task-creator{
        padding: 10px 40px;
    }
    &__list{
        &-name{
            font-size: 25px;
            font-weight: 400;
            cursor: pointer;
            color: #000;
            &_active{
                font-weight: 700;
            }
        }
    }
    &__task{
        position: relative;
        font-size: 18px;
        font-weight: 400;
        cursor: pointer;
        color: #000;
        label{
            display: inline-flex;
            align-items: center;
            position: relative;
            &::after{
                content: "";
                position: absolute;
                left: 0;
                right: 0;
                left: 1.5em;
                top: 50%;
                height: 3px;
                background: #000;
                transform: scaleX(0);
                transform-origin: right;
                transition: transform 150ms ease-in-out;
            }
        }
    }
}
.new-list{
    padding:6px;
    border:0;
    width: 230px;
    border-bottom: 2px solid #000;
    background: transparent;
    &::placeholder{
        color: #000; 
        font-weight: 300;
    }
}

.btn-create{
    padding:6px;
    border:0;
    width: 40px;
    border-radius: 6px;
    border: 2px solid #000;
    background: transparent;
}
.delete-stuff{
    padding: 20px 40px;
}
.btn{
   
}
.btn-delete{
    border-radius: 5px;
    padding: 5px 20px;

  
}
.new__task{
    padding: 6px;
    border: 0;
    width: 230px;
    border-bottom: 2px solid #000;
    background: 0 0;
}
[type="checkbox"] {
    opacity: 0;
    position: absolute;
  }
.custom-checkbox {
    --size: 0.75em;
    display: inline-block;
    width: var(--size);
    height: var(--size);
    margin-right: var(--size);
    cursor: pointer;
    border: 2px solid currentColor;
    border-radius: 50%;
    transform: scale(1);
    transition: transform 300ms ease-in-out;
}
  
// .task:hover .custom-checkbox,
// [type="checkbox"]:focus + label .custom-checkbox {
//     transform: scale(1.2);
//     color: var(--clr-primary);
// }
  
[type="checkbox"]:checked + label .custom-checkbox {
    background: #1c1c1c;
    // border-color: var(--clr-primary);
    box-shadow: inset 0 0 0px 2px white;
}
  
[type="checkbox"]:checked + label {
    opacity: 0.5;
}
  

  
// [type="checkbox"]:checked + label::after {
//     transform: scaleX(1);
//     transform-origin: left;
// }
  
// .todo__task{
//     position: relative;
//     label{
//         display: inline-flex;
//         &::after{
//             content: "";
//             position: absolute;
//             left: 0;
//             right: 0;
//             left: 1.5em;
//             top: 50%;
//             height: 3px;
//             background: #000;
//             transform: scaleX(0);
//             transform-origin: right;
//             transition: transform 150ms ease-in-out;
//         }
//     }
// }
[type="checkbox"]:checked + label::after {
    transform: scaleX(1);
    transform-origin: left;
}
